Subject: Re: Q: 'less' pager & escape sequences
From: [email-masked] (JJ Streicher-Bremer)

2 Jan 1999 17:55:49 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: [email-masked]
Cc: [email-masked]

I believe ls -la --color |less -r will work.

JJ

----------------------------------------

Ours is not to reason why,
   simply re-boot and then re-try.

----------------------------------------

On Fri, 1 Jan 1999 [email-masked] wrote:

> I've noticed that:  ls --color | less doesn't work as it should--or as I wish
> it would.  The ANSI escape sequences to effect the color changes aren't passed
> thru to the display like I want them to be.  less replaces ^[ with ESC and
> echoes *that* to the screen.  There have been a few times when this is what I
> actually wanted (i.e., when browsing thru a script that uses escape
> sequences), but more often than not, I want the display to get these signals.
> Is there some switch to less to accomplish this?  ls -la --color makes a nice
> printout, but it is useless to me if I can't keep it from scrolling off the
> display somehow, you know?
> --
> Dave Wolfe
> gForce Technologies Inc.
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
> 

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".